import React from 'react';
import { CheckboxGroupProps } from 'antd/lib/checkbox/Group';
import { CheckboxChangeEvent } from 'antd/lib/checkbox';
export interface CheckItemGroupState {
    value?: any;
}
export interface CheckItemGroupProps extends CheckboxGroupProps {
    options: any;
}
declare class OptionalLabel extends React.Component<CheckItemGroupProps, CheckItemGroupState> {
    constructor(props: CheckItemGroupProps | Readonly<CheckItemGroupProps>);
    static getDerivedStateFromProps(nextProps: {
        value: any;
    }): {
        value: any;
    } | null;
    handleChange: (e: CheckboxChangeEvent, v: {
        value: any;
    }) => void;
    render(): React.JSX.Element;
}
export default OptionalLabel;
